@extends('layouts.app')

@section('content')
<div class="container-fluid">

    <h1>{{ $label }}</h1>

    <p>Algorithm: {{ $detector["className"] }}</p>
    <p>Activation label: {{ $detector["triggerLabel"] }}</p>
    <p>Min activation interval: {{ $detector["triggerInterval"] }} seconds</p>
    <p>Parameters:</p>
    <ul>
        @foreach ($detector["parameters"] as $key => $value)
        <li>{{ $key }} : {{ $value }}</li>
        @endforeach
    </ul>

    <h2>Ranking</h2>
    <table class="table">
        <tr>
            <th>Subject</th>
            <th>Score</th>
            <th>Time</th>
            <th></th>
        </tr>

        @foreach ($evidences as $evidence)
        <tr>
            <td>
                {{ implode(' ', $evidence["subject"]) }}
            </td>
            <td>{{ $evidence["score"] }}</td>
            <td>{{ $evidence["time"] }}</td>
            <td class="text-right">
                <a href="/app/evidence/{{ $evidence["id"] }}"
                   class="btn btn-primary btn-sm">
                    <i class="fas fa-search"></i> Inspect
                </a>
            </td>
        </tr>
        @endforeach
    </table>

</div>
@endsection